Robotics Service Bus - Feature #2565

Feature # 2158 (Resolved): Allow better control of file-based configuration
Configurable list of configuration files [Python]
06/17/2016 01:25 PM - J. Moringen

Status: Resolved Start date: 06/17/2016
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.15

Description

Associated revisions

Revision c3f63325 - 06/17/2016 03:24 PM - J. Moringen
Configurable list of configuration files in rsb/__init__.py
fixes #2565

- rsb/__init__.py (CONFIG_FILES_VARIABLE): new constant; name of the
environment variable that can be used to overwrite the list of
configuration files
(CONFIG_FILE_KEY_SYSTEM): new constant; marker for system wide
configuration file
(CONFIG_FILE_KEY_PREFIX): similar
(CONFIG_FILE_KEY_USER): similar
(CONFIG_FILE_KEY_PWD): similar
(DEFAULT_CONFIG_FILES): new constant; default configuration file list
(_configDefaultConfigFiles): new function; depending on
presence of CONFIG_FILE_VARIABLE, use its value or default
configuration file list
(_configDefaultSourcesToDict): added files keyword parameter; adapted

documentation string; use supplied list of configuration files

History

#1 - 06/17/2016 03:30 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-python|c3f63325be9f486f553b07692e86db4efebe9f87.

04/19/2024

1/1




